# Finds HarkBase.
#
# This module defines:
# HARKBASE_INCLUDE_DIRS
# HARKBASE_LIBRARIES
# HARKBASE_TOOLBOX_DIRS
# HARKBASE_BIN_DIRS
#

find_package(PkgConfig REQUIRED)
pkg_check_modules(PC_HARKBASE hark-base)

find_path(HARKBASE_INCLUDE_DIR
          BufferedNode.h
          HINTS ${PC_HARKBASE_INCLUDEDIR} ${PC_HARKBASE_INCLUDE_DIRS})

find_library(HARKBASE_LIBRARY
             NAMES hark-base
             HINTS ${PC_HARKBASE_LIBDIR} ${PC_HARKBASE_LIBRARY_DIRS})

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} hark-base --variable=toolboxdir
                OUTPUT_VARIABLE HARKBASE_TOOLBOX_DIRS
                OUTPUT_STRIP_TRAILING_WHITESPACE)

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} hark-base --variable=bindir
                OUTPUT_VARIABLE HARKBASE_BIN_DIRS
                OUTPUT_STRIP_TRAILING_WHITESPACE)

set(HARKBASE_LIBRARIES ${HARKBASE_LIBRARY})
set(HARKBASE_INCLUDE_DIRS ${HARKBASE_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(HarkBase DEFAULT_MSG
                                  HARKBASE_LIBRARY HARKBASE_INCLUDE_DIR HARKBASE_TOOLBOX_DIRS HARKBASE_BIN_DIRS)

mark_as_advanced(HARKBASE_INCLUDE_DIR HARKBASE_LIBRARY HARKBASE_TOOLBOX_DIRS HARKBASE_BIN_DIRS)

