/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _HARK__BEAMFORMING__GICA_H__INCLUDED_
#define _HARK__BEAMFORMING__GICA_H__INCLUDED_ 1

#include "BF_GSS.h"

namespace BF
{
    class GICA : public GSS
    {
    public:
	GICA(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, bool muAdp, double mu, bool mu_ssAdp, double mu_ss, double scale, NlFuncType nlFuncType, UtUpdateType separationMatUpdateType);
	
    public:
	virtual BfType getBfAlgorithmType() const { return BfGICA; }

    };
}

#endif
