/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _HARK__BEAMFORMING__GSS_H__INCLUDED_
#define _HARK__BEAMFORMING__GSS_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class GSS : public BF
    {
    public:
        GSS(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, bool muAdp, double mu, bool mu_ssAdp, double mu_ss, double scale, NlFuncType nlFuncType, UtUpdateType separationMatUpdateType);
	virtual ~GSS();

    public:
	virtual BfType getBfAlgorithmType() const { return BfGSS; }

	virtual void updateSources(const std::vector<SourceLocation> &sourcePositions);
	virtual void adaptSeparationMatrices();

    private:
	NlFuncType nlFuncType;
	double mu, mu_ss, scale;
	bool muAdp, mu_ssAdp;
    };
}

#endif
