/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _HARK__BEAMFORMING__ML_H__INCLUDED_
#define _HARK__BEAMFORMING__ML_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class CML : public BF
    {
    public:
#if 0
	CML(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, double regFactor, double epsValue);
#endif
	CML(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, double regFactor);
	virtual ~CML();

    public:
	virtual BfType getBfAlgorithmType() const { return BfML; }

	virtual void updateSources(const std::vector<SourceLocation> &sourcePositions);
	virtual void adaptSeparationMatrices();

    private:
	double regFactor;
#if 0
	double epsValue;
#endif
    };
}

#endif
