/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _HARK__BEAMFORMING__MSNR_H__INCLUDED_
#define _HARK__BEAMFORMING__MSNR_H__INCLUDED_ 1

#include "BF.h"

namespace BF
{
    class CMSNR : public BF
    {
    public:
	CMSNR(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed, std::string decomp_alg, double alpha);
	virtual ~CMSNR();

    public:
	virtual BfType getBfAlgorithmType() const { return BfMSNR; }

	virtual void updateSources(const std::vector<SourceLocation> &sourcePositions);
	virtual void adaptSeparationMatrices();

    private:
	std::vector<Matrix> Rss; /* sizs_is(numSrc * numFreq), element_is(Matrix(numMic, numMic)) */
	std::vector<Matrix> Rnn; /* sizs_is(numSrc * numFreq), element_is(Matrix(numMic, numMic)) */
	std::vector<int> RssCnt; /* sizs_is(numSrc * numFreq) */
	std::vector<int> RnnCnt; /* sizs_is(numSrc * numFreq) */
	std::string decomp_alg;
	double alpha;

    };
}

#endif
