/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef _HARK__BEAMFORMING__NULL_H__INCLUDED_
#define _HARK__BEAMFORMING__NULL_H__INCLUDED_ 1

#include "BF_Fixed.h"

namespace BF
{
    class Null : public Fixed
    {
    public:
	Null(int numFreq, int lowerfreq, int upperfreq, int samplingRate, double soundSpeed);
	virtual ~Null();

    public:
	virtual BfType getBfAlgorithmType() const { return BfNull; }

    private:

    };
}

#endif
