/*
 * Copyright (c) 2008 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef __CParticleFilter_H__
#define __CParticleFilter_H__
//-----------------------------------------------------------
#include <vector>
using namespace std;

#include "Particle.h"

//-----------------------------------------------------------
/**
   \struct 
   \brief f[^肷邽߂SourcȇƂč\
*/
typedef struct SOURCE
{
	float x[3];
	// Changed by Morio 3Dg
	float azimuth;
	float elevation;
	//float angle;
	float power; //Ƃ肠powƂēĂ邱ƂɂĂ
	//int Frame_ID;
	int id;

	//TFIndex 2016.9.26
    int tfindex[3];


	//float output_theta;
} SOURCE;
//-----------------------------------------------------------

class CParticleFilter {
private:
	//FILE  *fp_output;
	robot_observation_set r_set;///<rob̊ϑl
	observation_set ob_set;		///<room̊ϑl
	particle_group_set pg_set; ///<qO[ṽZbg

/** 
 * \brief ̓f[^(ϑl)Zbg
 * \param flag m[h̃tO
 */
	void SetData(const int flag);

	///p[^\
	PARAM s_param;


public:
	CParticleFilter();	///<RXgN^@p[^Ȃ
	~CParticleFilter();	///<fXgN^

	FILE *fp_file;

	vector<SOURCE> input;  ///<f[^͗p̃xN^(room)
	vector<SOURCE> input_r;  ///<f[^͗p̃xN^(rob)

	vector<SOURCE> output;	///<f[^o͗p̃xN^

	SOURCE src_rob;	
	SOURCE src_room;
	SOURCE s_out;	///<AEgvbg

	int i_ob_num_IRMA;	///<ϑl̐()
	int i_ob_num_REMA;	///<ϑl̐({bg)

	int i_FrameCount;	///<񐔁it[ԍj

	/**
	\brief \~Japanese p[^̏
	*/
	void initial_param(const int flag);

	/**
	\brief \~Japanese p[^̃t@Co
	*/
	void print_param();

	/**
	\brief \~Japanese p[^̐ݒ
	*/
	void set_param(	const int param_particle_num, 
					const int param_max_num_of_source,
					const double param_th_another_source,
					const double param_th_ignore_source,
					const int param_th_remove_source,
					const double param_th_output_range, 
					const double param_likelihood_sigma,
					const double param_likelihood_sigma_robot,
					const double param_likelihood_robot_weight,
					const double param_th_random_walk,
					const double param_state_update_sigma,
					const double param_sum_weight,		
					const double param_rob_pow,
					const double param_room_length, 
					const double param_room_width, 
					const double param_room_pow,
					const bool param_history);

	/**
	\brief \~Japanese ParticleFilter̎s
	*/
	void ExecuteParticleFilter(const int flag);	

};
#endif
