/*
 * Copyright (c) 2004 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef	PF_EST_LEAK_h_defined
#define	PF_EST_LEAK_h_defined
// ---------------------------------------------------------------------
#include "MICARYHA_struct.h"
#include "MICARY_PF_Struct.h"

// 2007/07/13 added by S.Suzuki C++CĂяo
#ifdef __cplusplus
extern "C" {
#endif

// ---------------------------------------------------------------------

/**
 \brief \~Japanese Rꐄ(1:I, 0:G[)
 \param pfsSmoothedPSpec \~English Smoothed Input power spectrums (N, M) by MCRA
 \~Japanese MCRÃX[WO
 \param sPrmLeak \~English Parameters for Leak calc.
 \~Japanese RꐄvZpp[^\
 \param pfsEstLeakPSpec \~English Estimated leak spectrum (N, M)
 \~Japanese 肵Rp[
*/
int PF_EstLeak(
		MICARY_FloatSpecArray *pfsSmoothedPSpec,
		MICARY_PrmLeakNoise sPrmLeak,
		MICARY_FloatSpecArray *pfsEstLeakPSpec);

#ifdef __cplusplus
}
#endif

#endif	// PF_EST_LEAK_h_defined.
