/*
 * Copyright (c) 2004 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef	PF_EST_NOISE_h_defined
#define	PF_EST_NOISE_h_defined
// ---------------------------------------------------------------------
#include "MICARYHA_struct.h"
#include "MICARY_PF_Struct.h"

// 2007/07/13 added by S.Suzuki C++CĂяo
#ifdef __cplusplus
extern "C" {
#endif
// ---------------------------------------------------------------------

/**
 \brief \~Japanese WQ(1:I, 0:G[)
 \param pfsStateNoisePSpec \~English Back ground noise power spectrum (N, M)
 \~Japanese MCRAp[
 \param pfsLeakPSpec \~English Leak power spectrum (N, M)
 \~Japanese Rp[
 \param pfsRevPSpec \~English Reverberation power (N ,M)
 \~Japanese cp[
 \param pfsEstNoisePSpec \~English Total estimated noise spectrum (N, M)
 \~Japanese 肵WQp[
*/
int PF_EstNoise(
		MICARY_FloatSpecArray *pfsStateNoisePSpec,
		MICARY_FloatSpecArray *pfsLeakPSpec,
		MICARY_FloatSpecArray *pfsRevPSpec,
		MICARY_FloatSpecArray *pfsEstNoisePSpec);

#ifdef __cplusplus
}
#endif

#endif	// PF_EST_NOISE_h_defined
