/*
 * Copyright (c) 2004 - 2020 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 * 
 * Licensed under the HARK license, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * https://www.hark.jp/notice/HARK_License_Agreement.pdf
 */

#ifndef	PF_INIT_STATE_NOISE_h_defined
#define	PF_INIT_STATE_NOISE_h_defined
// ---------------------------------------------------------------------
//#include "MICARYHA_struct.h"	// 2008/11/11 deleted by N.Tanaka MICARY_structoRŌĂ
#include "MICARY_struct.h"
#include "MICARY_PF_Struct.h"
#include "PF_Init.h"

// 2007/07/13 added by S.Suzuki C++CĂяo
#ifdef __cplusplus
extern "C" {
#endif

// ---------------------------------------------------------------------

/**
 \brief \~Japanese MCRApmCY(1:I, 0:G[)
 \param fsInputPSpec \~English Input power spectrum (N, M)
 \~Japanese ̓p[XyNg
 \param sPrmInitMCRA \~English Parameters for Initial noise of MCRA calc.
 \~Japanese MCRAmCYvZp[^
 \param psSavedInitMCRA \~English Saved Initial noise of MCRA values
 \~Japanese Ot[MCRAmCY
 \param pfsInitNoisePSpec \~English MCRA values
 \~Japanese MCRAmCY
*/
int PF_InitStateNoise(
		MICARY_FloatSpecArray fsInputPSpec,
		MICARY_PrmInitMCRA sPrmMCRA,
		MICARY_SavedInitMCRA *psSavedMCRA,
		MICARY_FloatSpecArray *pfsInitNoisePSpec);

#ifdef __cplusplus
}
#endif
// ---------------------------------------------------------------------
#endif	// PF_INIT_STATE_NOISE_h_defined
